std::__exception_ptr::exception_ptr(3cxx)

NAME
std::__exception_ptr::exception_ptr - An opaque pointer to an arbitrary exception.

SYNOPSIS

  Public Member Functions

exception_ptr (const exception_ptr &) noexcept
exception_ptr (exception_ptr &&__o) noexcept
exception_ptr (nullptr_t) noexcept
const class std::type_info * __cxa_exception_type () const noexcept __attribute__((__pure__))
operator bool () const
exception_ptr & operator= (const exception_ptr &) noexcept
exception_ptr & operator= (exception_ptr &&__o) noexcept
void swap (exception_ptr &) noexcept

  Friends

bool operator== (const exception_ptr &, const exception_ptr &) noexcept __attribute__((__pure__))
exception_ptr std::current_exception () noexcept
template<typename _Ex > exception_ptr std::make_exception_ptr (_Ex) noexcept
void std::rethrow_exception (exception_ptr)

Detailed Description

An opaque pointer to an arbitrary exception.

Definition at line 79 of file exception_ptr.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.